=== debian/changelog ===
alex (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 21:09:42 -0400

alex (3.1.7-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:12 -0400

alex (3.1.7-3) experimental; urgency=medium

  * Drop build dependency on jade.  closes: #840587.

 -- Clint Adams <clint@debian.org>  Wed, 19 Oct 2016 13:01:25 -0400

alex (3.1.7-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 14:01:29 -0400
