## alex 3.2.4

=== doc/Makefile ===
include config.mk

XML_DOC = alex
INSTALL_XML_DOC = alex

include docbook-xml.mk
