=== debian/changelog ===
alex (3.2.4-4build3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:55:45 +0000

alex (3.2.4-4build2) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:04:21 +0000

alex (3.2.4-4build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 17:40:12 +0200

alex (3.2.4-4) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * debian/get_version.hs: Updated for Cabal 2.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 14:48:22 +0300

alex (3.2.4-3) unstable; urgency=medium

  * Use Distribution.Version instead.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 14:40:32 -0400

alex (3.2.4-2) unstable; urgency=medium

  * Hide Distribution.Version's showVersion in our get_version util.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 10:32:23 -0400

alex (3.2.4-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:05:35 -0400
