=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
            Clint Adams <clint@debian.org>,
            Louis Bettens <louis@bettens.info>,
            Dmitry Bogatov <KAction@gnu.org>
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends: alex <!stage1>,
                autoconf,
                cdbs (>= 0.4.59),
-               debhelper (>= 9.20141010),
+               debhelper (>= 10),
                docbook-utils,
                docbook-xml,
                docbook-xsl,
@@ -19,10 +20,10 @@
                haskell-devscripts (>= 0.13),
                libghc-quickcheck2-dev,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.haskell.org/alex/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/alex
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/alex]
 
 Package: alex
 Architecture: any
