=== debian/changelog ===
alex (3.2.5-2build1.1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:54:16 +0200

alex (3.2.5-2build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:02:14 +0000

alex (3.2.5-2) unstable; urgency=medium

  * Patch debian/get_version.hs for newer Cabal.

 -- Clint Adams <clint@debian.org>  Thu, 04 Jun 2020 08:13:41 -0400

alex (3.2.5-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

  [ John Paul Adrian Glaubitz ]
  * Don't copy source code files for stage1 builds (Closes: #906434)

  [ Sean Whitton ]
  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:21:40 -0700
