=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: alex
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>,
            Clint Adams <clint@debian.org>,
            Louis Bettens <louis@bettens.info>,
-           Dmitry Bogatov <KAction@gnu.org>
+           Ilias Tsitsimpis <iliastsi@debian.org>
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -20,7 +21,7 @@
                haskell-devscripts (>= 0.13),
                libghc-quickcheck2-dev,
                xsltproc
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://www.haskell.org/alex/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/alex
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/alex]
