=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 DEB_SETUP_GHC_CONFIGURE_ARGS := --with-alex=/bin/true
-
-cleanbuilddir/alex::
-	cp -a dist/build/alex/alex-tmp/*.hs src/
 endif
 
 clean::
