=== debian/changelog ===
alex (3.2.7.1-3) unstable; urgency=medium

  * Set the path for the alex binary when running tests

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 12 Aug 2022 16:45:30 +0300

alex (3.2.7.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Build-depend on newer version of haskell-devscripts (Closes: #1011764)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 21 Jul 2022 09:23:05 +0300

alex (3.2.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 13:00:06 -0400
