=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: alex
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>,
-           Clint Adams <clint@debian.org>,
-           Louis Bettens <louis@bettens.info>,
-           Ilias Tsitsimpis <iliastsi@debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Clint Adams <clint@debian.org>,
+ Louis Bettens <louis@bettens.info>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -18,10 +17,10 @@
                dpkg-dev (>= 1.17.14),
                ghc (>= 8),
                happy,
-               haskell-devscripts (>= 0.13),
+               haskell-devscripts (>= 0.16.23),
                libghc-quickcheck2-dev,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://www.haskell.org/alex/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/alex
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/alex]
