## alex 3.3.0.0

=== examples/Makefile ===
--- 
+++ 
@@ -12,8 +12,7 @@
 
 PROGS = lit Tokens Tokens_gscan words words_posn words_monad tiny haskell tiger
 
-ALEX_OPTS = --template=.. -g
-# ALEX_OPTS = --template=..
+ALEX_OPTS = --template=../data/ -g
 
 %.alex.hs : %.x
 	$(ALEX) $(ALEX_OPTS) $< -o $@
