=== debian/control ===
--- 
+++ 
@@ -7,20 +7,15 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: alex <!stage1>,
-               autoconf,
-               cdbs (>= 0.4.59),
-               debhelper (>= 10),
-               docbook-utils,
-               docbook-xml,
-               docbook-xsl,
-               dpkg-dev (>= 1.17.14),
-               ghc (>= 8),
-               happy,
-               haskell-devscripts (>= 0.16.23),
-               libghc-quickcheck2-dev,
-               xsltproc
-Standards-Version: 4.6.1
+Build-Depends:
+ alex <!stage1>,
+ cdbs (>= 0.4.59),
+ debhelper (>= 10),
+ haskell-devscripts (>= 0.16.23),
+ ghc (>= 9.4),
+ happy,
+ libghc-quickcheck2-dev,
+Standards-Version: 4.6.2
 Homepage: http://www.haskell.org/alex/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/alex
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/alex]
