=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  ghc (>= 9.4),
  happy,
  libghc-quickcheck2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.haskell.org/alex/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/alex
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/alex]
