## alex 3.5.4.0

=== debian/changelog ===
alex (3.5.4.0-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 05 Jan 2026 18:15:25 -0500
