=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  alex <!stage1>,
- cdbs (>= 0.4.59),
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  haskell-devscripts (>= 0.16.23),
  ghc (>= 9.4),
  happy,
